=== debian/changelog ===
httpfs2 (0.1.4-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:10 +1100

httpfs2 (0.1.4-1.1build2) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:26:03 +0100

httpfs2 (0.1.4-1.1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:37:02 +0000

httpfs2 (0.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use source format 3.0 (quilt).  Closes: #651312
  * Recommend fuse instead of fuse-utils.  Closes: #698179
  * Add patch from Ubuntu to fix FTBFS with libc 2.22.  Closes: #811890
  * Add patch from Ubuntu to fix linking with --as-needed.  Closes: #641728
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Mar 2017 13:27:02 +0100

httpfs2 (0.1.4-1) unstable; urgency=low

  * New upstream release:
    - Fixes -f option (Closes: #566362).
    - Fixes error handling in exchange() loop (Closes: #567128).
  * Bump standards version to 3.8.4.
  * Change dependency wrapping to make diffing easier.

 -- Michal Suchanek <hramrach@centrum.cz>  Fri, 12 Mar 2010 17:34:20 +0100

httpfs2 (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #380461).

 -- Michal Suchanek <hramrach@centrum.cz>  Mon, 11 Jan 2010 15:40:13 +0100
