=== debian/control ===
Source: httpfs2
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michal Suchanek <hramrach@centrum.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 asciidoc, xmlto,
 libfuse-dev (>= 2.6), pkg-config
Standards-Version: 3.9.8
Homepage: http://sourceforge.net/projects/httpfs/

Package: httpfs2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE filesystem for mounting files from http servers
 httpfs2 is a FUSE based filesystem for mounting http or https URLS as files in
 the filesystem. There is no notion of listable directories in http so only a
 single URL can be mounted. The server must be able to send byte ranges.
